adminlte2-railsで「Error: the fixed layout requires the slimscroll plugin!」「Unknown plugin : ‘slimScroll’」となる

TECH
2017.06.22
Pocket

adminlte2-railsで「Error: the fixed layout requires the slimscroll plugin!」「Unknown plugin : ‘slimScroll’」となる

管理画面を作るのに便利なCSSフレームワークがAdminLTEです。
そして、Ruby on RailsでWebアプリを作っているとGemでAdminLTEを導入したくなります。それがそのままの名前でadminlte2-railsです。(ただ2年近く更新されていないので、どうなの?って気もしますが…)

基本的な使い方は通常のAdminLTEと同じです。
さらにプラグインという形で様々な機能を使うことができます。

adminlte2-railsを使って開発しているとブラウザのコンソールに以下のようなエラーが出てくることがあります。

Error: the fixed layout requires the slimscroll plugin!

fixedレイアウトを使うならslimscrollというプラグインが必要だよというメッセージです。

そこでGitHubのREADMEにあるようにslimscrollを入れようとします。

$ rails generate admin_lte2_plugins slimScroll
Unknown plugin : 'slimScroll'

「Unknown plugin : ‘slimScroll’」
そんなプラグインはないそうです。

よくよく見てみるとエラーメッセージで出てくるのは「slimscroll」ですが、READMEにかかれているのは「slimScroll」です。
「scroll」の「s」が大文字と小文字で違います。

ということでエラーメッセージにあるように小文字でプラグインを入れてみます。

$ rails generate admin_lte2_plugins slimscroll
      insert  app/assets/javascripts/application.js
      create  vendor/assets/javascripts/jquery.slimscroll.js

無事にslimscrollを入れることができました。

adminlte2-railsを使うときは大文字、小文字に惑わされないようにしましょう。

追記
GitHubでPull Requestを送ってみました。
Fix typo slimscroll plugin by tabosque · Pull Request #19 · nicolas-besnard/adminlte2-rails

Pocket